> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Nodes

> Apply the same partial update to every node in `nodeIds`.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json patch /api/admin/inventory/nodes
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/inventory/nodes:
    patch:
      tags:
        - admin-inventory
      summary: Update Nodes
      description: Apply the same partial update to every node in `nodeIds`.
      operationId: update_nodes_api_admin_inventory_nodes_patch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkNodeUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_MutationResult_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkNodeUpdateRequest:
      properties:
        nodeIds:
          items:
            type: string
          type: array
          maxItems: 1000
          title: Nodeids
        values:
          $ref: '#/components/schemas/NodeMutationRequest'
      type: object
      required:
        - nodeIds
        - values
      title: BulkNodeUpdateRequest
      description: Apply the same partial `values` to every node in `node_ids`.
    GenericResponse_MutationResult_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/MutationResult'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[MutationResult]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    NodeMutationRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        role:
          anyOf:
            - $ref: '#/components/schemas/InventoryNodeRoleEnum'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/InventoryNodeStatusEnum'
            - type: 'null'
        gpuType:
          anyOf:
            - type: string
            - type: 'null'
          title: Gputype
        gpuCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpucount
        publicIp:
          anyOf:
            - type: string
            - type: 'null'
          title: Publicip
        publicIpv6:
          anyOf:
            - type: string
            - type: 'null'
          title: Publicipv6
        privateIp:
          anyOf:
            - type: string
            - type: 'null'
          title: Privateip
        privateInterface:
          anyOf:
            - type: string
            - type: 'null'
          title: Privateinterface
        sshUser:
          anyOf:
            - type: string
            - type: 'null'
          title: Sshuser
        sshPort:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sshport
        serial:
          anyOf:
            - type: string
            - type: 'null'
          title: Serial
        assetTag:
          anyOf:
            - type: string
            - type: 'null'
          title: Assettag
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        comments:
          anyOf:
            - type: string
            - type: 'null'
          title: Comments
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        nodeTypeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Nodetypeid
        siteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Siteid
        storage:
          anyOf:
            - type: object
            - type: 'null'
          title: Storage
        configContext:
          anyOf:
            - type: object
            - type: 'null'
          title: Configcontext
        additional:
          anyOf:
            - type: object
            - type: 'null'
          title: Additional
      type: object
      title: NodeMutationRequest
    MutationResult:
      properties:
        operationId:
          type: string
          title: Operationid
        targetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Targetid
        targetName:
          anyOf:
            - type: string
            - type: 'null'
          title: Targetname
        message:
          type: string
          title: Message
        created:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created
        updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated
        assigned:
          anyOf:
            - type: integer
            - type: 'null'
          title: Assigned
        detached:
          anyOf:
            - type: integer
            - type: 'null'
          title: Detached
        retired:
          anyOf:
            - type: integer
            - type: 'null'
          title: Retired
      type: object
      required:
        - operationId
        - message
      title: MutationResult
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    InventoryNodeRoleEnum:
      type: string
      enum:
        - GPU_NODE
        - CPU_NODE
      title: InventoryNodeRoleEnum
    InventoryNodeStatusEnum:
      type: string
      enum:
        - ACTIVE
        - PLANNED
        - DECOMMISSIONING
        - OFFLINE
        - FAILED
      title: InventoryNodeStatusEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````